com.elastisys.scale.cloudpool.api

## Class NotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.elastisys.scale.cloudpool.api.CloudPoolException
        - - com.elastisys.scale.cloudpool.api.NotFoundException

All Implemented Interfaces:
  Serializable

    public class NotFoundException
    extends CloudPoolException

Thrown by a `CloudPool` to indicate that a requested resource (such as a machine pool member) could not be found.

See Also:
  `CloudPool`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotFoundException()` Constructs a new `NotFoundException`.
`NotFoundException(String message)` Constructs a new `NotFoundException`.
`NotFoundException(String message, Throwable cause)` Constructs a new `NotFoundException`.
`NotFoundException(Throwable cause)` Constructs a new `NotFoundException`.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotFoundException

    public NotFoundException()

Constructs a new `NotFoundException`.

#### NotFoundException

    public NotFoundException(String message,
                             Throwable cause)

Constructs a new `NotFoundException`.

Parameters:
  `message` -
  `cause` -

#### NotFoundException

    public NotFoundException(String message)

Constructs a new `NotFoundException`.

Parameters:
  `message` -

#### NotFoundException

    public NotFoundException(Throwable cause)

Constructs a new `NotFoundException`.

Parameters:
  `cause` -